options {
  hostname "bind.odvr.dns-oarc.net";
  directory	"/etc/namedb";
  pid-file	"/var/run/named/odvr.pid";
  listen-on	{ 184.105.193.73; };
  listen-on-v6	{ 2620:FF:C000:1::64:20; };
  query-source	address 184.105.193.73;
  query-source-v6 address 2620:FF:C000:1::64:20;
  use-v4-udp-ports { range 1024 65535; };
  use-v6-udp-ports { range 1024 65535; };
  allow-query	{ any; };
  recursion	yes;
  dnssec-enable yes;
  dnssec-lookaside . trust-anchor dlv.isc.org;
};

logging {
	channel query_log {
		file "/var/log/query.log";
		print-time yes;
		severity info;
	};
	channel dnssec_log {
		file "/var/log/dnssec.log";
		print-time yes;
		severity debug;
	};
	channel named_log {
		file "/var/log/named.log";
		print-time yes;
		severity info;
	};
	channel debug_log {
		file "/var/log/debug.log";
		print-time yes;
		severity info;
	};
	channel info_log {
		file "/var/log/info.log";
		print-time yes;
		severity info;
	};
	category queries { query_log; };
	category dnssec { dnssec_log; };
	category default { named_log; };
	category general { debug_log; info_log; };
};

zone "." { type hint; file "named.root"; };

include "trusted-keys.conf";
include "master-bogons.conf";
include "named-rndc.conf";
